package com.ssj.bean.sys.cardinfo.domain;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_card_info")
public class TbCardInfo extends BaseEntity {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 */
	private String cardName;  //持卡人姓名
	private String cardNum;//卡号
	private String cardBank;//开户行
	private String bankPhone;//预留手机号码
	private Integer state; //是否有效 0无效1有效2打过款
	private String userId; //用户id
	private String subbranch;//开户卡所在地
	
	private String libId; //图书馆id
	/**
	 * 银行图标
	 */
	private String bankIcon;
	/**
	 * 银行卡正面
	 */
	private String bankcardFace;
	/**
	 * 银行卡反面
	 */
	private String bankcardCon;

	public String getBankcardFace() {
		return bankcardFace;
	}

	public void setBankcardFace(String bankcardFace) {
		this.bankcardFace = bankcardFace;
	}

	public String getBankcardCon() {
		return bankcardCon;
	}

	public void setBankcardCon(String bankcardCon) {
		this.bankcardCon = bankcardCon;
	}
	public String getBankIcon() {
		return bankIcon;
	}

	public void setBankIcon(String bankIcon) {
		this.bankIcon = bankIcon;
	}

	public String getCardName() {
		return cardName;
	}
	public void setCardName(String cardName) {
		this.cardName = cardName;
	}
	public String getCardNum() {
		return cardNum;
	}
	public void setCardNum(String cardNum) {
		this.cardNum = cardNum;
	}
	public String getCardBank() {
		return cardBank;
	}
	public void setCardBank(String cardBank) {
		this.cardBank = cardBank;
	}
	public String getBankPhone() {
		return bankPhone;
	}
	public void setBankPhone(String bankPhone) {
		this.bankPhone = bankPhone;
	}
	public Integer getState() {
		return state;
	}
	public void setState(Integer state) {
		this.state = state;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getSubbranch() {
		return subbranch;
	}
	public void setSubbranch(String subbranch) {
		this.subbranch = subbranch;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	
	
}
